aura_env.classColor = function(class)
	if class == 6 then
		return "\124cFFC41F3B"
	elseif class == 12 then
		return "\124cFFA330C9"
	elseif class == 11 then
		return "\124cFFFF7D0A"
	elseif class == 3 then
		return "\124cFFABD473"
	elseif class == 8 then
		return "\124cFF40C7EB"
	elseif class == 10 then
		return "\124cFF00FF96"
	elseif class == 2 then
		return "\124cFFF58CBA"
	elseif class == 5 then
		return "\124cFFFFFFFF"
	elseif class == 4 then
		return "\124cFFFFF569"
	elseif class == 7 then
		return "\124cFF0070DE"
	elseif class == 9 then
		return "\124cFF8787ED"
	elseif class == 1 then
		return "\124cFFC79C6E"
	else
		return "\124cFFFFFFFF"
	end
end

aura_env.classColor = function(name)
	local class = UnitClass(name) or ""
	if class == "Death Knight" then
		return 0.77, 0.12, 0.23, 1
	elseif class == "Demon Hunter" then
		return 0.64, 0.19, 0.79, 1
	elseif class == "Druid" then
		return 1, 0.49, 0.04, 1
	elseif class == "Hunter" then
		return 0.67, 0.83, 0.45, 1
	elseif class == "Mage" then
		return 0.25, 0.78, 0.92, 1
	elseif class == "Monk" then
		return 0, 1, 0.59, 1
	elseif class == "Paladin" then
		return 0.96, 0.55, 0.73, 1
	elseif class == "Priest" then
		return 1, 1, 1, 1
	elseif class == "Rogue" then
		return 1, 0.96, 0.41, 1
	elseif class == "Shaman" then
		return 0, 0.44, 0.87, 1
	elseif class == "Warlock" then
		return 0.53, 0.53, 0.93, 1
	elseif class == "Warrior" then
		return 0.78, 0.61, 0.43, 1
	else
		return 0, 0, 0, 0
	end
end

aura_env.classColor = function(class)
	if class == 1 then
		return 0.78, 0.61, 0.43, 1
	elseif class == 2 then
		return 0.96, 0.55, 0.73, 1
	elseif class == 3 then
		return 0.67, 0.83, 0.45, 1
	elseif class == 4 then
		return 1, 0.96, 0.41, 1
	elseif class == 5 then
		return 1, 1, 1, 1
	elseif class == 6 then
		return 0.77, 0.12, 0.23, 1
	elseif class == 7 then
		return 0, 0.44, 0.87, 1
	elseif class == 8 then
		return 0.25, 0.78, 0.92, 1
	elseif class == 9 then
		return 0.53, 0.53, 0.93, 1
	elseif class == 10 then
		return 0, 1, 0.59, 1
	elseif class == 11 then
		return 1, 0.49, 0.04, 1
	elseif class == 12 then
		return 0.64, 0.19, 0.79, 1
	else
		return 1, 1, 1, 1
	end
end
